Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453518 - dbus-python does not have DBusServer APIs [NEEDINFO]
Summary: dbus-python does not have DBusServer APIs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus-python
Version: 9
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 07:25 UTC by Peng Huang
Modified: 2013-03-06 03:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:20:50 UTC
phuang: needinfo? (davidz)


Attachments (Terms of Use)
Patch (deleted)
2008-07-01 07:25 UTC, Peng Huang
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 15514 None None None Never

Description Peng Huang 2008-07-01 07:25:07 UTC
Description of problem:
dbus-python does not have DBusServer APIs

Additional info:

We are developing IBus project. It is a new input method framework for Linux OS.
It is developed by python language, and uses dbus as IPC library. We need ibus
run as a server. All applications and input method engines will be clients of
the IBus server. So we need DBusServer APIs. I created a patch for add
DBusServer APIs for dbus-python. I wish this patch could be include in fedora 9
or rawhide. Could you help me on that? Thanks.
My dbus-python git tree is here. http://repo.or.cz/w/dbus-python-phuang.git

Comment 1 Peng Huang 2008-07-01 07:25:07 UTC
Created attachment 310644 [details]
Patch

Comment 2 David Zeuthen 2008-07-01 17:13:14 UTC
Please submit this upstream.

http://lists.freedesktop.org/mailman/listinfo/dbus

Comment 4 Jens Petersen 2008-07-02 09:37:04 UTC
Phuang, is there an upstream bug for this too?

Comment 5 Peng Huang 2008-07-21 06:18:52 UTC
Upstream has added server API in master branch. Wait for the next release.
http://gitweb.freedesktop.org/?p=dbus/dbus-python.git;a=shortlog;h=server

Comment 6 Peng Huang 2008-07-23 22:38:49 UTC
dbus-python-0.83.0 has been released. Please update rpm in fedora to fix this
problem.
http://lists.freedesktop.org/archives/dbus/2008-July/010162.html
Thanks.

Comment 7 Peng Huang 2008-08-04 23:30:12 UTC
Ping David.
Do you have time to update dbus-python for fedora 9 and rawhide? If not, I can do it for you.

Comment 8 Fedora Update System 2008-08-05 06:15:01 UTC
dbus-python-0.83.0-2.fc9 has been submitted as an update for Fedora 9

Comment 9 Fedora Update System 2008-08-08 00:00:05 UTC
dbus-python-0.83.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dbus-python'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7121

Comment 10 Fedora Update System 2008-08-12 18:22:58 UTC
dbus-python-0.83.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Tony Fu 2008-09-10 03:18:42 UTC
requested by Jens Petersen (#27995)

Comment 12 Bug Zapper 2009-06-10 01:51:50 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2009-07-15 08:20:50 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.